import time
import os
import datetime
import pygame
import linecache
import colorama
from colorama import Fore, Back
import glob
import random

pygame.init()
colorama.init()

global start

try:
    start = pygame.mixer.Sound("boot.mp3")
    tape = pygame.mixer.Sound("background.mp3")
except:
    pass

orange = '\x1b[38;2;255;165;0m'

BLINK = '\033[5m'  # ANSI escape sequence for blinking
RESET = '\033[0m'  # ANSI escape sequence to reset formatting



def reset():
    if os.name == 'nt':
        os.system('cls')
    else:
        os.system('clear')

#This makes all text orange
print(orange)

def minesweeper():
    def create_board(dim_size, num_mines):
        board = [[0 for _ in range(dim_size)] for _ in range(dim_size)]
        mines_planted = 0
        while mines_planted < num_mines:
            loc = random.randint(0, dim_size**2 - 1)
            row, col = divmod(loc, dim_size)

            if board[row][col] == '*':
                continue
            
            board[row][col] = '*'  # Plant mine
            mines_planted += 1

        return board

    def add_numbers(board):
        dim_size = len(board)
        directions = [(-1, -1), (-1, 0), (-1, 1),
                    (0, -1),         (0, 1),
                    (1, -1), (1, 0), (1, 1)]

        for row in range(dim_size):
            for col in range(dim_size):
                if board[row][col] == '*':
                    continue
                mine_count = 0
                for dr, dc in directions:
                    r, c = row + dr, col + dc
                    if 0 <= r < dim_size and 0 <= c < dim_size and board[r][c] == '*':
                        mine_count += 1
                board[row][col] = mine_count

    def print_board(board):
        for row in board:
            print(" ".join(str(cell) for cell in row))

    def play(dim_size=10, num_mines=20):
        board = create_board(dim_size, num_mines)
        add_numbers(board)
        safe_spots = dim_size * dim_size - num_mines
        uncovered_spots = 0
        revealed_board = [[' ' for _ in range(dim_size)] for _ in range(dim_size)]

        while True:
            print_board(revealed_board)
            try:
                row, col = map(int, input("Enter row and column to reveal: ").split())
                if str(row) == "back" or str(col) == "back":
                    termilink()
                reset()
                assert 0 <= row < dim_size and 0 <= col < dim_size
            except (ValueError, AssertionError):
                print("Invalid input. Please use zero-based index.")
                continue

            if board[row][col] == '*':
                print("Game Over!")
                print_board(board)  # Reveal the board
                break

            revealed_board[row][col] = str(board[row][col])
            uncovered_spots += 1

            if uncovered_spots == safe_spots:
                print("Congratulations! You have won!")
                termilink()
                break

    if __name__ == "__main__":
        play()


def termilink():
    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")
    print(R"| | |  _   _  |  | || | |_   ___  |  | || | |_   __ \    | || ||_   \  /   _|| || |  |_   _|     | || |    |_   _|   | || ||_   \|_   _| | || | |_  ||_  _|  | |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")
    print(R"| | |  _   _  |  | || | |_   ___  |  | || | |_   __ \    | || ||_   \  /   _|| || |  |_   _|     | || |    |_   _|   | || ||_   \|_   _| | || | |_  ||_  _|  | |")
    print(R"| | |_/ | | \_|  | || |   | |_  \_|  | || |   | |__| |   | || |  |   \/   |  | || |    | |       | || |      | |     | || |  |   \ | |   | || |   | |_/ /    | |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")
    print(R"| | |  _   _  |  | || | |_   ___  |  | || | |_   __ \    | || ||_   \  /   _|| || |  |_   _|     | || |    |_   _|   | || ||_   \|_   _| | || | |_  ||_  _|  | |")
    print(R"| | |_/ | | \_|  | || |   | |_  \_|  | || |   | |__| |   | || |  |   \/   |  | || |    | |       | || |      | |     | || |  |   \ | |   | || |   | |_/ /    | |")
    print(R"| |     | |      | || |   |  _|  _   | || |   |  __ /    | || |  | |\  /| |  | || |    | |   _   | || |      | |     | || |  | |\ \| |   | || |   |  __'.    | |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")
    print(R"| | |  _   _  |  | || | |_   ___  |  | || | |_   __ \    | || ||_   \  /   _|| || |  |_   _|     | || |    |_   _|   | || ||_   \|_   _| | || | |_  ||_  _|  | |")
    print(R"| | |_/ | | \_|  | || |   | |_  \_|  | || |   | |__| |   | || |  |   \/   |  | || |    | |       | || |      | |     | || |  |   \ | |   | || |   | |_/ /    | |")
    print(R"| |     | |      | || |   |  _|  _   | || |   |  __ /    | || |  | |\  /| |  | || |    | |   _   | || |      | |     | || |  | |\ \| |   | || |   |  __'.    | |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")
    print(R"| | |  _   _  |  | || | |_   ___  |  | || | |_   __ \    | || ||_   \  /   _|| || |  |_   _|     | || |    |_   _|   | || ||_   \|_   _| | || | |_  ||_  _|  | |")
    print(R"| | |_/ | | \_|  | || |   | |_  \_|  | || |   | |__| |   | || |  |   \/   |  | || |    | |       | || |      | |     | || |  |   \ | |   | || |   | |_/ /    | |")
    print(R"| |     | |      | || |   |  _|  _   | || |   |  __ /    | || |  | |\  /| |  | || |    | |   _   | || |      | |     | || |  | |\ \| |   | || |   |  __'.    | |")
    print(R"| |    _| |_     | || |  _| |___/ |  | || |  _| |  \ \_  | || | _| |_\/_| |_ | || |   _| |__/ |  | || |     _| |_    | || | _| |_\   |_  | || |  _| |  \ \_  | |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")
    print(R"| | |  _   _  |  | || | |_   ___  |  | || | |_   __ \    | || ||_   \  /   _|| || |  |_   _|     | || |    |_   _|   | || ||_   \|_   _| | || | |_  ||_  _|  | |")
    print(R"| | |_/ | | \_|  | || |   | |_  \_|  | || |   | |__| |   | || |  |   \/   |  | || |    | |       | || |      | |     | || |  |   \ | |   | || |   | |_/ /    | |")
    print(R"| |     | |      | || |   |  _|  _   | || |   |  __ /    | || |  | |\  /| |  | || |    | |   _   | || |      | |     | || |  | |\ \| |   | || |   |  __'.    | |")
    print(R"| |    _| |_     | || |  _| |___/ |  | || |  _| |  \ \_  | || | _| |_\/_| |_ | || |   _| |__/ |  | || |     _| |_    | || | _| |_\   |_  | || |  _| |  \ \_  | |")
    print(R"| |   |_____|    | || | |_________|  | || | |____| |___| | || ||_____||_____|| || |  |________|  | || |    |_____|   | || ||_____|\____| | || | |____||____| | |")

    time.sleep(0.1)
    reset()

    print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .----------------.  .-----------------. .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |  _________   | || |  _________   | || |  _______     | || | ____    ____ | || |   _____      | || |     _____    | || | ____  _____  | || |  ___  ____   | |")
    print(R"| | |  _   _  |  | || | |_   ___  |  | || | |_   __ \    | || ||_   \  /   _|| || |  |_   _|     | || |    |_   _|   | || ||_   \|_   _| | || | |_  ||_  _|  | |")
    print(R"| | |_/ | | \_|  | || |   | |_  \_|  | || |   | |__| |   | || |  |   \/   |  | || |    | |       | || |      | |     | || |  |   \ | |   | || |   | |_/ /    | |")
    print(R"| |     | |      | || |   |  _|  _   | || |   |  __ /    | || |  | |\  /| |  | || |    | |   _   | || |      | |     | || |  | |\ \| |   | || |   |  __'.    | |")
    print(R"| |    _| |_     | || |  _| |___/ |  | || |  _| |  \ \_  | || | _| |_\/_| |_ | || |   _| |__/ |  | || |     _| |_    | || | _| |_\   |_  | || |  _| |  \ \_  | |")
    print(R"| |   |_____|    | || | |_________|  | || | |____| |___| | || ||_____||_____|| || |  |________|  | || |    |_____|   | || ||_____|\____| | || | |____||____| | |")
    print(R"| |              | || |              | || |              | || |              | || |              | || |              | || |              | || |              | |")
    print(R"| '--------------' || '--------------' || '--------------' || '--------------' || '--------------' || '--------------' || '--------------' || '--------------' |")
    print(R" '----------------'  '----------------'  '----------------'  '----------------'  '----------------'  '----------------'  '----------------'  '----------------' ")    

def gamestxt():
    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    print(R"| | / .'   \_|   | || |    / /\ \    | || |  |   \/   |  | || |   | |_  \_|  | || |  |  (__ \_|  | |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    print(R"| | / .'   \_|   | || |    / /\ \    | || |  |   \/   |  | || |   | |_  \_|  | || |  |  (__ \_|  | |")
    print(R"| | | |    ____  | || |   / ____ \   | || |  | |\  /| |  | || |   |  _|  _   | || |   '.___`-.   | |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    print(R"| | / .'   \_|   | || |    / /\ \    | || |  |   \/   |  | || |   | |_  \_|  | || |  |  (__ \_|  | |")
    print(R"| | | |    ____  | || |   / ____ \   | || |  | |\  /| |  | || |   |  _|  _   | || |   '.___`-.   | |")
    print(R"| | \ `.___]  _| | || | _/ /    \ \_ | || | _| |_\/_| |_ | || |  _| |___/ |  | || |  |`\____) |  | |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    print(R"| | / .'   \_|   | || |    / /\ \    | || |  |   \/   |  | || |   | |_  \_|  | || |  |  (__ \_|  | |")
    print(R"| | | |    ____  | || |   / ____ \   | || |  | |\  /| |  | || |   |  _|  _   | || |   '.___`-.   | |")
    print(R"| | \ `.___]  _| | || | _/ /    \ \_ | || | _| |_\/_| |_ | || |  _| |___/ |  | || |  |`\____) |  | |")
    print(R"| |  `._____.'   | || ||____|  |____|| || ||_____||_____|| || | |_________|  | || |  |_______.'  | |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    print(R"| | / .'   \_|   | || |    / /\ \    | || |  |   \/   |  | || |   | |_  \_|  | || |  |  (__ \_|  | |")
    print(R"| | | |    ____  | || |   / ____ \   | || |  | |\  /| |  | || |   |  _|  _   | || |   '.___`-.   | |")
    print(R"| | \ `.___]  _| | || | _/ /    \ \_ | || | _| |_\/_| |_ | || |  _| |___/ |  | || |  |`\____) |  | |")
    print(R"| |  `._____.'   | || ||____|  |____|| || ||_____||_____|| || | |_________|  | || |  |_______.'  | |")
    print(R"| |              | || |              | || |              | || |              | || |              | |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    print(R"| | / .'   \_|   | || |    / /\ \    | || |  |   \/   |  | || |   | |_  \_|  | || |  |  (__ \_|  | |")
    print(R"| | | |    ____  | || |   / ____ \   | || |  | |\  /| |  | || |   |  _|  _   | || |   '.___`-.   | |")
    print(R"| | \ `.___]  _| | || | _/ /    \ \_ | || | _| |_\/_| |_ | || |  _| |___/ |  | || |  |`\____) |  | |")
    print(R"| |  `._____.'   | || ||____|  |____|| || ||_____||_____|| || | |_________|  | || |  |_______.'  | |")
    print(R"| |              | || |              | || |              | || |              | || |              | |")
    print(R"| '--------------' || '--------------' || '--------------' || '--------------' || '--------------' |")
    time.sleep(0.1)
    reset()

    print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------.")
    print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
    print(R"| |    ______    | || |      __      | || | ____    ____ | || |  _________   | || |    _______   | |")
    print(R"| |  .' ___  |   | || |     /  \     | || ||_   \  /   _|| || | |_   ___  |  | || |   /  ___  |  | |")
    print(R"| | / .'   \_|   | || |    / /\ \    | || |  |   \/   |  | || |   | |_  \_|  | || |  |  (__ \_|  | |")
    print(R"| | | |    ____  | || |   / ____ \   | || |  | |\  /| |  | || |   |  _|  _   | || |   '.___`-.   | |")
    print(R"| | \ `.___]  _| | || | _/ /    \ \_ | || | _| |_\/_| |_ | || |  _| |___/ |  | || |  |`\____) |  | |")
    print(R"| |  `._____.'   | || ||____|  |____|| || ||_____||_____|| || | |_________|  | || |  |_______.'  | |")
    print(R"| |              | || |              | || |              | || |              | || |              | |")
    print(R"| '--------------' || '--------------' || '--------------' || '--------------' || '--------------' |")
    print(R" '----------------'  '----------------'  '----------------'  '----------------'  '----------------' ")
    time.sleep(0.5)


#ui stands for user input
global ui
#this is the commands list that stores all the commands
commands = "\rrestart\nhelp\ntime\nfileread\nfilecreate\ndestroy\nrun\nfilelist\nfiledelete\nfilefix\nmoreinfo\ngames\nclear\n"



def system():
    termilink()
    print("Type help for a list of commands!\n")

    #this is for if the system is running
    global run
    run = True
    
    while run:

        time = datetime.datetime.now()

        try:
            tape.play()
        except:
            pass


        ui = input("").lower()

        if ui == "help":
            print(commands)
            print("for more information on a specific command type the commands name and help like filefix+help\n")
        if ui == "time":
            print(f"The the current date and time is: {time}")
        if ui == "restart":
            reset()
            boot()
        if ui == "destroy":
            run = False
        if ui == "fileread":
            lr = input("what file would you like to read: ")
            fileco = linecache.getline(f"{lr}.txt", 1)
            print('\n' + fileco.replace("||", "\n"))
        if ui == "filecreate":
            ln = input("File Name: ")

            li =  input("type in the file || to create a new line: ")

            with open(f"{ln}.txt", "w") as file:
                file.write(li)
        if ui == "run":
            try:
                ftr = input("Enter the file to run: ")

                with open(f"{ftr}.txt", "r") as file:
                    python_code = file.read().replace("||", "\n")
                    exec(python_code)
            except:
                print(Back.RED + Fore.WHITE + "ERROR IN COMPILING" + orange + Back.RESET)
                print(orange)
        if ui == "filelist":


            # List all files in the current directory
            files = glob.glob('*.*')

            print("\nListing All Files...\n")

            # Print the list of files
            for file in files:
                print(file)
            print('\n')

        if ui == "filedelete":
            #this stands for what file to delete
            wftd = input("What file would you like to delete: ")
            try:
                os.remove(f"{wftd}.txt")
                if wftd == "cc":
                    print(Back.RED + Fore.WHITE + "\n\nERROR CC NOT FOUND:\nPOWER OFF YOUR SYSTEM THEN POWER BACK ON TO GET CC BACK ITS A REQUIRED FILE\n\n" + orange + Back.RESET)
                    print(orange)
                    print()
            except FileNotFoundError:
                print(Back.RED + Fore.WHITE + "ERROR THIS FILE DOES NOT EXIST" + orange + Back.RESET)
                print(orange)
            except PermissionError:
                print(Back.RED + Fore.WHITE + f"ERROR NO PERMISSION: CANT DELETE {wftd}" + orange + Back.RESET)
                print(orange)
            except:
                print(Back.RED + Fore.WHITE + "AN UNKNOWN ERROR OCCURED" + orange + Back.RESET)
                print(orange)
        if ui == "filefix":
            print(Back.RED + Fore.WHITE + "WARNING:\nARE YOU SURE YOU WANT TO USE THIS IT ONLY FIXES IF YOU DID NOT USE\n|| FOR NEW LINES IF IS ANOTHER ISSUE IT MIGHT BREAK THE PROGRAM\n " + orange + Back.RESET)
            print(orange)
            #wc stands for warning confirm 
            wc = input("Y OR N: ").lower()
            if wc == "y":
                pass#THIS IS GOING TO BE MADE IN THE FUTURE
            else:
                print(Back.RED + Fore.WHITE + "ABORTING" + orange + Back.RESET)
                print(orange)
            
        if ui == "moreinfo":
            print("\nMonoType is a terminal based os made in python and can execute python code")
            print("MonoType also is linux based if your running this as your os it has it an boots it automatically")
            print("MonoType is made by Jacob Allen B****** but usually goes by Evan Runner Pason as an online alias")
            print("MonoType has Some Important features you can utilize such as custom commands if this file is not already there")
            print("you can create it yourself do filecreate the file name is cc for custom commands then you can write in that file")
            print("for the first line write the ammount of custom commands you will be using then like 1 or 2 then do || for the next line")
            print("then write the file that you want to cc to run simple as that you do NOT NEED TO PUT THE FILE EXTINSION you will most likely")
            print("NEVER NEED TO DO THAT IN MonoType OS because all files are .txt but then compile to other file types the custom command")
            print("is going to be the files name so now you can type the files name and it will run automatically as a command\n")
        
        if ui == "games":
            gamestxt()
            print("1.MINESWEEPER")

            def load_and_execute():
                try:
                    minesweeper()
                except:
                    print(Back.RED + Fore.WHITE + "ERROR ABORTING: GAME FILES CORRUPTED" + orange + Back.RESET)
                    print(orange)
            
            ui = input("ENTER THE NUMBER OF THE GAME TO PLAY back TO GO BACK: ")
            if ui == "1":
                load_and_execute()
            if ui == "clear":
                termilink()
        if ui == "clear":
            termilink()

            



        #THIS IS FOR THE HELP COMMANDS OF THE COMMANDS

        #THIS IS FOR THE CUSTOM COMMANDS

        #ccl stands for custom command lines lines

        # Read the number of custom commands from the file

        try:
            ccl = int(linecache.getline('cc.txt', 1).strip())
            customcommands = []

            # Load custom commands from the file
            for i in range(ccl):
                command = linecache.getline('cc.txt', i + 2).strip()  # Read and strip newlines and whitespace
                customcommands.append(command)

            if ui in customcommands:
                try:
                    # Open the corresponding command file and execute its Python code
                    with open(f"{ui}.txt", "r") as file:
                        python_code = file.read().replace("||", "\n")
                        print('\n')
                        exec(python_code)
                except:
                    # If there's an error, print it with colors for visibility
                    print(Back.RED + Fore.WHITE + "ERROR IN COMPILING" + orange + Back.RESET)
                    print("\n")
        except:
            print(Back.RED + Fore.WHITE + "ERROR WITH CUSTOM COMMANDS: FIX DELETE cc" + orange + Back.RESET)
            print("\n")
            


            
                





def boot():
    def srobco():


        time.sleep(0.7)
        reset()

        print(R".----------------. ")
        print(R"| .--------------. |")
        print(R"| |  _______     | |")
        print(R"| | |_   __ \    | |")
        print(R"| |   | |__| |   | |")
        print(R"| |   |  __ /    | |")
        print(R"| |  _| |  \ \_  | |")
        print(R"| | |____| |___| | |")
        print(R"| |              | |")
        print(R"| '--------------' |")
        print(R" '----------------'")

        time.sleep(0.1)
        reset()


        print(R".----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. ")
        print(R"| |  _______     | || |     ____     | ")
        print(R"| | |_   __ \    | || |   .'    `.   | ")
        print(R"| |   | |__| |   | || |  /  .--.  \  | ")
        print(R"| |   |  __ /    | || |  | |    | |  | ")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | ")
        print(R"| | |____| |___| | || |   `.____.'   | ")
        print(R"| |              | || |              | ")
        print(R"| '--------------' || '--------------' ")
        print(R" '----------------'  '----------------'")

        time.sleep(0.3)
        reset()

        print(R".----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------.")
        print(R"| |  _______     | || |     ____     | || |   ______     |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  |")
        print(R"| | |____| |___| | || |   `.____.'   | || |  |_______/   |")
        print(R"| |              | || |              | || |              |")
        print(R"| '--------------' || '--------------' || '--------------'")
        print(R" '----------------'  '----------------'  '----------------'")

        time.sleep(0.1)
        reset()

        print(R".----------------.  .----------------.  .----------------.  .----------------.")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------.")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  | || |  \ `.___.'\  |")
        print(R"| | |____| |___| | || |   `.____.'   | || |  |_______/   | || |   `._____.'  |")
        print(R"| |              | || |              | || |              | || |              |")
        print(R"| '--------------' || '--------------' || '--------------' || '--------------'")
        print(R" '----------------'  '----------------'  '----------------'  '----------------")

        time.sleep(0.025)
        reset()

        print(R".----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         | || |  | |    | |  | |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  | || |  \ `.___.'\  | || |  \  `--'  /  | |")
        print(R"| | |____| |___| | || |   `.____.'   | || |  |_______/   | || |   `._____.'  | || |   `.____.'   | |")
        print(R"| |              | || |              | || |              | || |              | || |              | |")
        print(R"| '--------------' || '--------------' || '--------------' || '--------------' || '--------------' |")
        print(R" '----------------'  '----------------'  '----------------'  '----------------'  '----------------'")


    def trobco():


        print("WAIT...")

        file_path = 'cc.txt'

        files = glob.glob(file_path)

        if files:
            pass
        else:
            with open(file_path, 'w') as file:
                file.write("0")

#        config_path = 'config.txt'
#
#        if files:
#            pass
#        else:
#            with open(config_path, 'w') as file:
#                file.write("textcolor=orange\nPOSSIBLE COLORS: orange, red , green, blue, and yellow")



        try:
            tape.play()
        except:
            pass

        time.sleep(7)
        reset()
        
        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")

        time.sleep(0.5)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")

        time.sleep(0.1)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")

        time.sleep(0.1)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")

        time.sleep(0.4)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")

        time.sleep(0.1)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         | || |  | |    | |  | |")

        time.sleep(0.3)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         | || |  | |    | |  | |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  | || |  \ `.___.'\  | || |  \  `--'  /  | |")

        time.sleep(0.1)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         | || |  | |    | |  | |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  | || |  \ `.___.'\  | || |  \  `--'  /  | |")
        print(R"| | |____| |___| | || |   `.____.'   | || |  |_______/   | || |   `._____.'  | || |   `.____.'   | |")

        time.sleep(0.1)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         | || |  | |    | |  | |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  | || |  \ `.___.'\  | || |  \  `--'  /  | |")
        print(R"| | |____| |___| | || |   `.____.'   | || |  |_______/   | || |   `._____.'  | || |   `.____.'   | |")
        print(R"| |              | || |              | || |              | || |              | || |              | |")

        time.sleep(0.1)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         | || |  | |    | |  | |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  | || |  \ `.___.'\  | || |  \  `--'  /  | |")
        print(R"| | |____| |___| | || |   `.____.'   | || |  |_______/   | || |   `._____.'  | || |   `.____.'   | |")
        print(R"| |              | || |              | || |              | || |              | || |              | |")
        print(R"| '--------------' || '--------------' || '--------------' || '--------------' || '--------------' |")

        time.sleep(0.2)
        reset()

        print(R" .----------------.  .----------------.  .----------------.  .----------------.  .----------------. ")
        print(R"| .--------------. || .--------------. || .--------------. || .--------------. || .--------------. |")
        print(R"| |  _______     | || |     ____     | || |   ______     | || |     ______   | || |     ____     | |")
        print(R"| | |_   __ \    | || |   .'    `.   | || |  |_   _ \    | || |   .' ___  |  | || |   .'    `.   | |")
        print(R"| |   | |__| |   | || |  /  .--.  \  | || |    | |_| |   | || |  / .'   \_|  | || |  /  .--.  \  | |")
        print(R"| |   |  __ /    | || |  | |    | |  | || |    |  __'.   | || |  | |         | || |  | |    | |  | |")
        print(R"| |  _| |  \ \_  | || |  \  `--'  /  | || |   _| |__| |  | || |  \ `.___.'\  | || |  \  `--'  /  | |")
        print(R"| | |____| |___| | || |   `.____.'   | || |  |_______/   | || |   `._____.'  | || |   `.____.'   | |")
        print(R"| |              | || |              | || |              | || |              | || |              | |")
        print(R"| '--------------' || '--------------' || '--------------' || '--------------' || '--------------' |")
        print(R" '----------------'  '----------------'  '----------------'  '----------------'  '----------------'")

    trobco()

    srobco()

    time.sleep(1)

    system()


boot()
